## org.gjt.sp.jedit.indent
Class IndentAction.Collapse

    java.lang.Object
      org.gjt.sp.jedit.indent.IndentAction.Collapse

All Implemented Interfaces:
  IndentAction

Enclosing interface:
  IndentAction

    public static class IndentAction.Collapse

extends java.lang.Object
implements IndentAction

See comments for each instance of this class below.

Nested Class Summary

Nested classes/interfaces inherited from interface org.gjt.sp.jedit.indent.IndentAction
`IndentAction.AlignOffset, IndentAction.AlignParameter, IndentAction.Collapse, IndentAction.Decrease, IndentAction.Increase, IndentAction.NoIncrease, IndentAction.Reset`

Field Summary

Fields inherited from interface org.gjt.sp.jedit.indent.IndentAction
`PrevCollapse, PrevPrevCollapse`

Method Summary
`int` `calculateIndent(JEditBuffer buffer, int line, int oldIndent, int newIndent)` This does nothing; it is merely a sentinel for the `OpenBracketIndentRule`.
`boolean` `keepChecking()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### calculateIndent

    public int calculateIndent(JEditBuffer buffer,
                               int line,
                               int oldIndent,
                               int newIndent)

  This does nothing; it is merely a sentinel for the `OpenBracketIndentRule`.

  Specified by:
    `calculateIndent` in interface `IndentAction`
  Parameters:
    `buffer` - The buffer
    `line` - The line number that matched the rule; not necessarily the line being indented.
    `oldIndent` - Original indent.
    `newIndent` - The new indent -- ie, indent returned by previous indent action.

### keepChecking

    public boolean keepChecking()

  Specified by:
    `keepChecking` in interface `IndentAction`
  Returns:
    true if the indent engine should keep processing after this rule.